.TH GRADER L

.SH NAME
grader - processes files containing grades for a class.

.SH SYNOPSIS
grader

.SH DESCRIPTION
.I grader
must be run in a directory which contains files:
.HP
- names.dat (containing the names of the students in the class),
.HP
- hw1.dat,...,hwn.dat where n is a number greater than or equal to 1
(containing the homework grades of the students arranged in the same order
as the names in names.dat),
.HP
- midterm1.dat,...,midtermn.dat where n is a number greater than or equal to 1
(containing the midterm grades of the students arranged in the same order
as the names in names.dat), and
.HP
- final.dat (containing the final exam grades of the students arranged in the
same order as the names in names.dat).
.P
When
.I grader
is run, it will check to see if the file
.I input.dat
is present, and if it is, the following input data will be read from it:
.HP
- a flag indicating whether homework will count towards the final score
("y" if it will, "n" if it won't),
.HP
- a flag indicating whether each midterm will count towards the final score
("y" if it will, "n" if it won't),
.HP
- a flag indicating whether the final exam will count towards the final score
("y" if it will, "n" if it won't),
.HP
- the percentage that the homeworks will contribute to the final score (not
entered if the homework is not counted),
.HP
- the percentage that each midterm will contribute to the final score (not
entered if the midterm is not counted),
.HP
- the percentage that the final exam will contribute to the final score (not
entered if the final exam is not counted),
.HP
- the maximum grade for each homework,
.HP
- the maximum grade for each midterm,
.HP
- the maximum grade for the final exam,
.HP
- a flag indicating whether letter grades will be assigned ("y" if they will
be assigned, "n" if they will not be assigned),
.HP
- the number of letter grades to be assigned (not entered if letter grades
are not assigned), and
.HP
- the letter grade with its corresponding cut off (not entered if letter
grades are not assigned).
.P
If the file
.I input.dat
is not present, this data is read from standard input.
.P
When the input data is entered,
.I grader
will process the data and create files
.I output.dat
(containing the ranks and letter grades) and
.I total.dat
(to be used for making histograms with
.I histogram).

.SH FILES
.TP 2.2i
.I %%binpath-name%%/grader
executable script.
.TP 2.2i
.I %%doc-name%%
.I LaTeX
documentation file.
.TP 2.2i
.I %%binpath-name%%/histogram
A program for making histograms.
.TP 2.2i
.I %%binpath-name%%/setup_grades
A script for preparing the data files for use with
.I grader.

.SH SEE ALSO
setup_grades, histogram

.SH AUTHOR
Andrew D. Lewis, Queen's University, Kingston, ON, Canada,
<andrew@mast.queensu.ca>.
